summaryrefslogtreecommitdiffstats
path: root/graphics/rawstudio/rawstudio.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-04-24 03:58:30 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-15 10:50:25 +0200
commit0f6587ae025ba1e758434e5449a9f0057758f94a (patch)
tree14b470e9f72c08a3d534b63cb28e8f0c86b81e50 /graphics/rawstudio/rawstudio.SlackBuild
parent3a51fab3c61bf88ea1100e36c91236df7cf625b7 (diff)
downloadslackbuilds-0f6587ae025ba1e758434e5449a9f0057758f94a.tar.gz
slackbuilds-0f6587ae025ba1e758434e5449a9f0057758f94a.tar.xz
graphics/rawstudio: Build bump, script cleanup.
Diffstat (limited to 'graphics/rawstudio/rawstudio.SlackBuild')
-rw-r--r--graphics/rawstudio/rawstudio.SlackBuild19
1 files changed, 9 insertions, 10 deletions
diff --git a/graphics/rawstudio/rawstudio.SlackBuild b/graphics/rawstudio/rawstudio.SlackBuild
index 2bea0000d0..f2154f3723 100644
--- a/graphics/rawstudio/rawstudio.SlackBuild
+++ b/graphics/rawstudio/rawstudio.SlackBuild
@@ -3,13 +3,13 @@
# Slackware Package Build Script for rawstudio
# Home Page http://rawstudio.org/
-# Copyright (c) 2007-2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# Copyright (c) 2007-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -26,11 +26,11 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
# No additional license terms :-)
-
+
PRGNAM=rawstudio
VERSION=1.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -72,14 +72,13 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--build=$ARCH-slackware-linux
-
+
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;